ITEEDU

更新SDK

本指南将帮助您升级您的开发环境和应用程序到SDK的最新版暿 如果你已经应用了以前版本的Android SDK, 也需要使用本指南。

为了确保您的应用程序能够兼容android1.0系统,您需要安装新的SDK和用新的API移植现有的android应用程序,以下各节指导您完成这一进程。

安装新的SDK

下载SDK 并解压到一个安全的位置。

解压新的SDK以后 ,您应该完成下面的操作。

  • 擦除你的模拟器的数据

    由于新的SDK版本发布,一些数据格式改变了。因此任何以前保存的模拟器数据必须清除。打开一个控制台/终端和操作SDK中的/to ols目录。启动模拟器瘿wipe-data的选项

    Windows: emulator -wipe-data
    Mac/Linux: ./emulator -wipe-data

  • 更新您的PATH变量(Mac/Linux;可选)

    如果你以前设置PATH变量为指向的SDK tools目录,那么您必须更新以指向新的SDK的。E.g., .bashrc or .bash_profile file: export PATH=$PATH:<your_new_sdk_dir>/tools

更新ADT Eclipse插件

如果您在Eclipse上使用ADT插件开发,请按照下列步骤安装新的插件匹配新的SDK。

Eclipse 3.3 (Europa)Eclipse 3.4 (Ganymede)
  1. 选择Help > Softw